Payment batches & settlement

Refresh Settlement Status

Name and signature indicate it refreshs settlement status

POSThttps://api.toku.com/tga/refresh-settlement-status

Not available to API keys yet. It will need payments:write.

curl --request POST \
  --url 'https://api.toku.com/tga/refresh-settlement-status' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "transactionIDs": [
    "string"
  ],
  "orgID": "string"
}'
200 response
{
  "results": [
    {
      "transactionID": "string",
      "taxReferenceID": "string",
      "providerName": "SAFE",
      "previousStatus": "string",
      "newStatus": "string",
      "updated": true,
      "settled": true,
      "settlementWarning": "string",
      "error": "string"
    }
  ],
  "totalUpdated": 0,
  "totalFailed": 0,
  "totalUnchanged": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

transactionIDsstring[]required

Allowed: 1 to 50 items

orgIDstringrequired

Response

200Successful response
resultsobject[]required
Show child attributes
transactionIDstringrequired
taxReferenceIDstringrequired
providerNamestringrequired

Available options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO

previousStatusstringrequired
newStatusstringrequired
updatedbooleanrequired
settledboolean
settlementWarningstring
errorstring
totalUpdatedintegerrequired

Allowed: at least 0

totalFailedintegerrequired

Allowed: at least 0

totalUnchangedintegerrequired

Allowed: at least 0

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits